This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 646942 - UMW190 Verizon mobile broadband patch from http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=49097b6de5daa63de84f16386825de5b17590fcc Can we get this in F13 for ModemManager?
UMW190 Verizon mobile broadband patch from http://cgit.freedesktop.org/ModemM...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 14:20 EDT by the.hw.group
Modified: 2011-06-28 07:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:10:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description the.hw.group 2010-10-26 14:20:48 EDT
Can we get Dan Wills (dcbw@redhat.com) patch backported to Fedora 13? 

http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=49097b6de5daa63de84f16386825de5b17590fcc

Quote from the above URL:
"core: prefer CDMA capabilities over GSM for dual-mode devices (bgo #621815)
For devices like the UMW190 that appear to be dual-mode without needing a firmware reload (unlike Gobis, which are dual-mode but require a reboot with different firmware) prefer CDMA capabilities since that's where these devices will most likely be used more often. In the end we'll need to change MM to advertise a "capabilities" attribute on the modem class and modify devices such that they can implement both GSM and CDMA semantics at the same time."

My Issue:
I use this same device on Fedora 13 64bit and i basically had to do a bit of hacking around with wvdial scripts to get it to work.

When you plug the device in, first its cdfs loads up. You have to eject it (eject /dev/sr1 on my Lenovo W700ds laptop) then the usb subsystem containing the REAL device kicks in.

This was a ubuntu submission on launchpad that resulted in this fix submission upstream. Any chance this can make it in F13? I know F14 is 7 days away but I can't migrate as soon as it comes out, I will have to wait a few months.
Comment 1 the.hw.group 2010-10-26 14:24:07 EDT
oh 1 more piece of information, once you eject the "cdfs" NetWorkManager will see the card, but as a gsm card and there is no information for Verizon in NM. The problem is that the card is a world card (CDMA / gsm / edge / gprs I believe) and that it should see CDMA first. The URL quoted in the above post explains all of this. 

We have the same issue in Fedora (13).
Comment 2 Bug Zapper 2011-05-30 10:46:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 07:10:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.